#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int n, m, x, y, z;
    long long s = 0;
    cin >> n >> m;

    int a[n]; //niz ciji su elementi srece takmicara(sreca i-tog rakmicara je a[i-1])
    int p[n]; //niz u kojem brojim razliku prijatelja i neprijatelja takmicara na odgovarajucem indeksu

    for (int i = 0; i < n; i++){
        p[i] = 0;
    }

    for (int i = 0; i < n; i++){
        cin >>a[i];
    }

    for (int i = 0; i < m; i++){
        cin >> x >> y;

        if(a[x-1] >= 0 && a[y-1] >= 0){
            p[x-1]++;
            p[y-1]++;
        }
        else if(a[x-1] < 0 && a[y-1] < 0){
            p[x-1]--;
            p[y-1]--;
        }
        else{
            if(abs(a[x-1]) >= abs(a[y-1])){
                z = a[x-1];
            }
            else {
                z = a[y - 1];
            }

            if(z > 0){
                p[x-1]++;
                p[y-1]++;
            }
            else{
                p[x-1]--;
                p[y-1]--;
            }
        }
    }
    for (int i = 0; i < n; i++){
        s += a[i]*p[i];
    }
    cout << s;


    return 0;
}